
-- Animation sequences for the Jet Bot

print "loading JetBot animation sequences"


DefineSequence("Stand",
{
	class = STAND,
	delay = 1,
	frames = {
		{ index = 0, duration = 2 },
		{ index = 1, duration = 0.25 },
		{ index = 2, duration = 2 },
		{ index = 1, duration = 0.25 }
	}
})

DefineSequence("Run",
{
	class = RUN,
	delay = 0.1,
	frames = {
		{ index = 3 },
		{ index = 4 }
	}
})

DefineSequence("StopRunning",
{
	class = STAND,
	delay = 10,
	following = "Stand",
	loop = true,
	frames = {
		{ index = 6 }
	}
})

DefineSequence("Jump",
{
	class = JUMP,
	following = "FlyDiagonallyUp",
	delay = 0.25,
	frames = {
		{ index = 6 }
	}
})

DefineSequence("Land",
{
	class = STAND,
	delay = 1,
	following = "Stand",
	loop = true,
	frames = {
		{ index = 6, duration = 0.25 },
		{ index = 0, duration = 0.25 }
	}
})

DefineSequence("FlyDiagonallyUp",
{
	class = FLY,
	delay = 0.1,
	frames = {
		{ index = 3 },
		{ index = 4 }
	}
})

DefineSequence("FlyDiagonallyDown",
{
	class = FLY,
	delay = 0.1,
	frames = {
		{ index = 3 },
		{ index = 4 }
	}
})

DefineSequence("FlyStraightUp",
{
	class = FLY,
	delay = 0.1,
	frames = {
		{ index = 3 },
		{ index = 4 }
	}
})

DefineSequence("FlyHorizontally",
{
	class = FLY,
	frames = {
		{ index = 3 },
		{ index = 4 }
	}
})

DefineSequence("Punch",
{
	class = ATTACK,
	delay = 0.05,
	following = "Stand",
	frames = {
		{ index = 3 }
	}
})

DefineSequence("StartFiring",
{
	class = ATTACK,
	delay = 0.1,
	following = "Fire",
	frames = {
		{ index = 3 }
	}
})

DefineSequence("Fire",
{
	class = ATTACK,
	delay = 1,
	frames = {
		{ index = 3, duration = 0.2 }
	}
})

DefineSequence("StopFiring",
{
	class = ATTACK,
	delay = 0.1,
	following = "Stand",
	frames = {
		{ index = 3 }
	}
})

DefineSequence("KnockedDown",
{
	class = HIT,
	delay = 1,
	frames = {
		{ index = 5 }
	}
})

DefineSequence("Flattened",
{
	class = HIT,
	delay = 1,
	frames = {
		{ index = 6 }
	}
})

